Gaming Pal Wii/instruments + NTSC Rock Band 2

deviljr

Member
OP
Newcomer
Joined
May 29, 2008
Messages
13
Trophies
0
XP
8
Country
New Zealand
Hey guys I need some help with my rock band 2 game. I got a press copy of rock band 1 and instrument set for xmas and currently loving the game. i thought i'd get the new rock band 2 game as well from the internet. so basically i have a pal wii with assumed pal instruments (and pal rb1 working flawlessly). the downloaded version of rb2 (ntsc) runs fine with backup launcher 0.3g but i can only sync my gh3 guitar but cannot sync any of the other rock band instruments with the game.

is this a known problem or did i do something wrong with the burning/setting up of the game?
 

Deebuzz

Member
Newcomer
Joined
Jan 29, 2008
Messages
16
Trophies
0
XP
30
Country
Gambia, The
You need the RB2 update from the gamedisc if your system is 3.3Ev2 or higher.
Else you can install the Guitar Hero: World Tour update.

EDIT:

I had the same problem. After updating to 3.3Ev2 (from 3.2E with Animal Crossing) and installing the GH:WT (US) update, the instrumens worked.
That works definitly
 

deviljr

Member
OP
Newcomer
Joined
May 29, 2008
Messages
13
Trophies
0
XP
8
Country
New Zealand
oh really? i thought you're not suppose to update pal systems with ntsc software and vice versa (or maybe that's just for WADs?). and also i've already updated the system with the rb1 disk which allows usb instruments.

any case, how do i install the rb2 update from my burnt copy? the disk isnt recognised in wii menu so it wont automatically prompt me to do an update. and i dont have gh:wt in pal, and same problem will apply if i download the game.
 

Deebuzz

Member
Newcomer
Joined
Jan 29, 2008
Messages
16
Trophies
0
XP
30
Country
Gambia, The
deviljr said:
oh really? i thought you're not suppose to update pal systems with ntsc software and vice versa (or maybe that's just for WADs?). and also i've already updated the system with the rb1 disk which allows usb instruments.

You just shouldn't install firmware updates from other regions higher then the firmware on your system (eg. 3.4U on disc, 3.3E on system). That will! brick your wii. Extra updates like the WiiSpeak update from AC won't brick wiis of other region.

RB2 is an extra update for instruments different of the one on RB1.

btw. i've installed the update of US GH:WT on PAL System
wink.gif


QUOTE(deviljr @ Dec 29 2008, 12:44 PM) any case, how do i install the rb2 update from my burnt copy? the disk isnt recognised in wii menu so it wont automatically prompt me to do an update. and i dont have gh:wt in pal, and same problem will apply if i download the game.

Sorry, i have updated as it has prompted up the update screen in wii menu.

Is this a "feature" of your modchip?
 

deviljr

Member
OP
Newcomer
Joined
May 29, 2008
Messages
13
Trophies
0
XP
8
Country
New Zealand
i dont have a modchip. im just using hbc and backup launcher 0.3g. so when i copied disk is inserted the wii wont recognise the disk as a proper game hence the prompt for update never comes up in wii menu.

i was reading through the post about using rb instruments in gamma using a custom IOS but that's abit too advanced for my knowledge so i was thinking if theres another way to do this.

btw, do u think if i go rent a press copy of gh:tw (pal) from the video store and do the update with that disk will the rb2 (ntsc) work?
 

Deebuzz

Member
Newcomer
Joined
Jan 29, 2008
Messages
16
Trophies
0
XP
30
Country
Gambia, The
I think a original GH:WT should work.

That would be the way, i did on my wii. Updating from 3.2E to 3.3Ev2 with Animal Crossing and then installing the update of GH:WT.

GH:WT runs under 3.2E but you should install 3.3Ev2 first to be sure that RB2 works, because i don't know if RB2 needs 3.3E or 3.3Ev2.
 

deviljr

Member
OP
Newcomer
Joined
May 29, 2008
Messages
13
Trophies
0
XP
8
Country
New Zealand
Deebuzz said:
I think a original GH:WT should work.

That would be the way, i did on my wii. Updating from 3.2E to 3.3Ev2 with Animal Crossing and then installing the update of GH:WT.

GH:WT runs under 3.2E but you should install 3.3Ev2 first to be sure that RB2 works, because i don't know if RB2 needs 3.3E or 3.3Ev2.

How did u install the gh:wt update on ur wii? just insert copied disk and install or did u use another method? my system is already 3.3Ev2 so i dont need the animal crossing update. (actually i've never used 3.2E)

unfortunately my local blockbuster doesnt have gh:wt so i cant get my hands on a press copy yet.

this is so annoying, i wanna play band mode on rb2.
 

matthewn4444

Well-Known Member
Member
Joined
Jun 21, 2007
Messages
201
Trophies
0
XP
299
Country
United States
Does the update only affect wiis with 3.3v2 and higher? I'm using 3.2 and rock band doesnt ask for the update. Btw my wii cant sync with the instruments either.
 

Jhonyb

Well-Known Member
Newcomer
Joined
Dec 2, 2007
Messages
60
Trophies
1
Age
51
Location
Portugal
XP
125
Country
Colombia
So by what i understood with my PAL wii and last firmware if i use RegionFrii on the Rock Band 2 ISO
I can do the UPDATE and it will NOT brick my wii and after i can play the game?

I tried regionfrii and brickblocker and i had error unauthorized bla bla bla

pls tell me any PAL user out there that is playing this
 

klein

Well-Known Member
Member
Joined
Aug 21, 2008
Messages
115
Trophies
0
XP
74
Country
United States
Guys I have a question related to updates. I have 3.2U and I have Gamma. Will Gamma stop the games from updating my Wii or will I have to do something else so my Wii won't update and brick?
 

Site & Scene News

Popular threads in this forum

General chit-chat
Help Users
    Psionic Roshambo @ Psionic Roshambo: https://www.timeextension.com/news/2024/07/ps2-emulation-just-took-a-massive-step-forward-thanks-...